Request
curl -X POST https://sandbox.api.lendeasy.ai/v1/servicing/interactions/$INTERACTION_ID/replies \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"channel": "email",
"purpose": "document_follow_up",
"content": {
"templateId": "tpl_DOC_FOLLOWUP",
"variables": {
"secureUploadExpiresOn": "2027-05-08"
}
}
}'
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/interactions/${interactionId}/replies`, {
method: "POST",
headers: { Authorization: `Bearer ${token}`, "Idempotency-Key": idempotencyKey, "Content-Type": "application/json" },
body: JSON.stringify({
"channel": "email",
"purpose": "document_follow_up",
"content": {
"templateId": "tpl_DOC_FOLLOWUP",
"variables": {
"secureUploadExpiresOn": "2027-05-08"
}
}
}),
});
requests.post(
f"https://sandbox.api.lendeasy.ai/v1/servicing/interactions/{interaction_id}/replies",
headers={"Authorization": f"Bearer {token}", "Idempotency-Key": idempotency_key},
json={
"channel": "email",
"purpose": "document_follow_up",
"content": {
"templateId": "tpl_DOC_FOLLOWUP",
"variables": {
"secureUploadExpiresOn": "2027-05-08"
}
}
},
)
{
"interactionId": "int_HBR_EMAIL_92",
"threadId": "thread_HBR_8",
"status": "scheduled"
}
{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}